Bug 522103 - Initscript for cyrus-sasl daemon is not LSB compliant
Summary: Initscript for cyrus-sasl daemon is not LSB compliant
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan F. Chadima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:42 UTC by Aleš Mareček
Modified: 2009-10-29 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 09:41:24 UTC


Attachments (Terms of Use)

Description Aleš Mareček 2009-09-09 13:42:36 UTC
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts
cyrus-sasl should return 0 and restart the service when it's running or isn't stopped properly (/var/lock/subsys/saslauthd file exists) after "condrestart" is used

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.23-2.fc12

How reproducible:
always

Steps to Reproduce:
1. $ service saslauthd stop
2. $ service saslauthd start
3. $ killall saslauthd
(service is not running but /var/lock/subsys/saslauthd file exists)
4. $ service saslauthd condrestart
5. $ echo $?
(exit code 0, nothing happens)
  
Actual results:
exit code 0, service isn't restarted

Expected results:
restart the service and exit with code 0

Additional info:

Comment 1 Jan F. Chadima 2009-09-24 10:04:12 UTC
Repaired

Comment 2 Jan F. Chadima 2009-09-25 09:41:24 UTC
regression of the change, there was missunderstandig what LSB says, the package was returned to the original state.


Note You need to log in before you can comment on or make changes to this bug.